#
# spec file for package tfkiss (Version 1.2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf libax25
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libax25 libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tfkiss
Copyright:    1999, Berndt Josef Wulf VK5ABN
Group:        Networking/Hamradio
Autoreqprov:  on
Version:      1.2.3
Release:      190
Summary:      Software TNC Emulator
Source:       ftp://ftp.ping.net.au/pub/unix/ham/tfkiss-%{version}.tar.gz
Patch:        tfkiss-%{version}.dif
BuildRoot:    /var/tmp/%{name}-%{version}-build

%description
Various packet radio applications need a TNC with TheFirmware connected to
a serial interface. Tfkiss can emulate this firmware on a TNC in KISS-mode.

Authors:
--------
    Berndt Josef Wulf <wulf@ping.net.au>

SuSE series: ham

%prep
%setup
%patch -p1
autoconf

%build
CFLAGS=$RPM_OPT_FLAGS ./configure  --prefix=/usr \
  --enable-axip --enable-xpid --enable-flexnet \
  --enable-hibaud %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%postun
if [ "$1" = 0 ]; then
  rm -f etc/ax25/tfkiss/tfkiss.par var/run/tfkiss{.pid,_socket}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES README doc/alas.eng doc/alas.txt doc/copyrght.txt doc/rfc1226 doc/tfkiss.doc
%dir /etc/ax25/tfkiss
%config(noreplace) /etc/ax25/tfkiss/tfkiss.*
/usr/sbin/tfkiss

%changelog -n tfkiss
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Mon May 15 2000 - bubnikv@suse.cz
- new version(1.2.3)
- added buildroot, URL, %%postun script
* Mon Sep 20 1999 - uli@suse.de
- removed unnecessary #include statements causing trouble
  on PPC
* Mon Sep 20 1999 - ka@suse.de
- fixed error in spec file
* Thu Sep 16 1999 - ka@suse.de
- update to version 1.2.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jul 18 1999 - ka@suse.de
- update to version 1.1.0
- configured with "--enable-axip --enable-xpid --enable-flexnet \
--enable-hibaud"
* Thu Jun 24 1999 - ro@suse.de
- update to 1.0.5
- patched to build with libax25-0.0.4
* Sat May 29 1999 - ka@suse.de
- initial release
